python-pygments-0.9-2.PU_IAS.5.noarch.rpm


Advertisement

Description

python-pygments - A syntax highlighting engine written in Python

Property Value
Distribution CentOS 5
Repository PUIAS Unsupported i386
Package name python-pygments
Package version 0.9
Package release 2.PU_IAS.5
Package architecture noarch
Package type rpm
Installed size 2.86 MB
Download size 918.65 KB
Official Mirror springdale.math.ias.edu
Pygments is a syntax highlighting engine written in Python. That means, it
will take source code (or other markup) in a supported language and output
a processed version (in different formats) containing syntax highlighting
markup.

Alternatives

Package Version Architecture Repository
python-pygments-1.4-3.el5.noarch.rpm 1.4 noarch PUIAS Computational
python-pygments-1.4-3.el5.noarch.rpm 1.4 noarch PUIAS Computational
python-pygments-1.4-1.el5.rf.noarch.rpm 1.4 noarch Repoforge (RPMforge)
python-pygments-1.4-1.el5.rf.noarch.rpm 1.4 noarch Repoforge (RPMforge)
python-pygments-1.3.1-2.el5.noarch.rpm 1.3.1 noarch FlexBox
python-pygments-1.3.1-2.el5.noarch.rpm 1.3.1 noarch FlexBox
python-pygments-1.1.1-1.el5.art.noarch.rpm 1.1.1 noarch Atomic
python-pygments-1.1.1-1.el5.art.noarch.rpm 1.1.1 noarch Atomic
python-pygments-0.9-2.PU_IAS.5.noarch.rpm 0.9 noarch PUIAS Unsupported
python-pygments-0.9-1.el5.rf.noarch.rpm 0.9 noarch Repoforge (RPMforge)
python-pygments-0.9-1.el5.rf.noarch.rpm 0.9 noarch Repoforge (RPMforge)
python-pygments - - -

Requires

Name Value
/usr/bin/python -
python(abi) = 2.4
python-setuptools -

Provides

Name Value
python-pygments = 0.9-2.PU_IAS.5

Download

Type URL
Binary Package python-pygments-0.9-2.PU_IAS.5.noarch.rpm
Source Package python-pygments-0.9-2.PU_IAS.5.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
    [puias-unsupported]
    name=PUIAS Unsupported
    baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/i386/
    enabled=1
    gpgcheck=0
    
  2. Install python-pygments rpm package:
    # yum install python-pygments

Files

Path
/usr/bin/pygmentize
/usr/lib/python2.4/site-packages/Pygments-0.9-py2.4.egg-info/PKG-INFO
/usr/lib/python2.4/site-packages/Pygments-0.9-py2.4.egg-info/SOURCES.txt
/usr/lib/python2.4/site-packages/Pygments-0.9-py2.4.egg-info/dependency_links.txt
/usr/lib/python2.4/site-packages/Pygments-0.9-py2.4.egg-info/entry_points.txt
/usr/lib/python2.4/site-packages/Pygments-0.9-py2.4.egg-info/not-zip-safe
/usr/lib/python2.4/site-packages/Pygments-0.9-py2.4.egg-info/top_level.txt
/usr/lib/python2.4/site-packages/pygments/__init__.py
/usr/lib/python2.4/site-packages/pygments/__init__.pyc
/usr/lib/python2.4/site-packages/pygments/__init__.pyo
/usr/lib/python2.4/site-packages/pygments/cmdline.py
/usr/lib/python2.4/site-packages/pygments/cmdline.pyc
/usr/lib/python2.4/site-packages/pygments/cmdline.pyo
/usr/lib/python2.4/site-packages/pygments/console.py
/usr/lib/python2.4/site-packages/pygments/console.pyc
/usr/lib/python2.4/site-packages/pygments/console.pyo
/usr/lib/python2.4/site-packages/pygments/filter.py
/usr/lib/python2.4/site-packages/pygments/filter.pyc
/usr/lib/python2.4/site-packages/pygments/filter.pyo
/usr/lib/python2.4/site-packages/pygments/formatter.py
/usr/lib/python2.4/site-packages/pygments/formatter.pyc
/usr/lib/python2.4/site-packages/pygments/formatter.pyo
/usr/lib/python2.4/site-packages/pygments/lexer.py
/usr/lib/python2.4/site-packages/pygments/lexer.pyc
/usr/lib/python2.4/site-packages/pygments/lexer.pyo
/usr/lib/python2.4/site-packages/pygments/plugin.py
/usr/lib/python2.4/site-packages/pygments/plugin.pyc
/usr/lib/python2.4/site-packages/pygments/plugin.pyo
/usr/lib/python2.4/site-packages/pygments/scanner.py
/usr/lib/python2.4/site-packages/pygments/scanner.pyc
/usr/lib/python2.4/site-packages/pygments/scanner.pyo
/usr/lib/python2.4/site-packages/pygments/style.py
/usr/lib/python2.4/site-packages/pygments/style.pyc
/usr/lib/python2.4/site-packages/pygments/style.pyo
/usr/lib/python2.4/site-packages/pygments/token.py
/usr/lib/python2.4/site-packages/pygments/token.pyc
/usr/lib/python2.4/site-packages/pygments/token.pyo
/usr/lib/python2.4/site-packages/pygments/unistring.py
/usr/lib/python2.4/site-packages/pygments/unistring.pyc
/usr/lib/python2.4/site-packages/pygments/unistring.pyo
/usr/lib/python2.4/site-packages/pygments/util.py
/usr/lib/python2.4/site-packages/pygments/util.pyc
/usr/lib/python2.4/site-packages/pygments/util.pyo
/usr/lib/python2.4/site-packages/pygments/filters/__init__.py
/usr/lib/python2.4/site-packages/pygments/filters/__init__.pyc
/usr/lib/python2.4/site-packages/pygments/filters/__init__.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/__init__.py
/usr/lib/python2.4/site-packages/pygments/formatters/__init__.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/__init__.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/_mapping.py
/usr/lib/python2.4/site-packages/pygments/formatters/_mapping.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/_mapping.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/bbcode.py
/usr/lib/python2.4/site-packages/pygments/formatters/bbcode.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/bbcode.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/html.py
/usr/lib/python2.4/site-packages/pygments/formatters/html.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/html.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/latex.py
/usr/lib/python2.4/site-packages/pygments/formatters/latex.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/latex.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/other.py
/usr/lib/python2.4/site-packages/pygments/formatters/other.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/other.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/rtf.py
/usr/lib/python2.4/site-packages/pygments/formatters/rtf.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/rtf.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/svg.py
/usr/lib/python2.4/site-packages/pygments/formatters/svg.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/svg.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/terminal.py
/usr/lib/python2.4/site-packages/pygments/formatters/terminal.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/terminal.pyo
/usr/lib/python2.4/site-packages/pygments/formatters/terminal256.py
/usr/lib/python2.4/site-packages/pygments/formatters/terminal256.pyc
/usr/lib/python2.4/site-packages/pygments/formatters/terminal256.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/__init__.py
/usr/lib/python2.4/site-packages/pygments/lexers/__init__.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/__init__.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/_clbuiltins.py
/usr/lib/python2.4/site-packages/pygments/lexers/_clbuiltins.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/_clbuiltins.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/_luabuiltins.py
/usr/lib/python2.4/site-packages/pygments/lexers/_luabuiltins.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/_luabuiltins.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/_mapping.py
/usr/lib/python2.4/site-packages/pygments/lexers/_mapping.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/_mapping.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/_phpbuiltins.py
/usr/lib/python2.4/site-packages/pygments/lexers/_phpbuiltins.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/_phpbuiltins.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/_vimbuiltins.py
/usr/lib/python2.4/site-packages/pygments/lexers/_vimbuiltins.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/_vimbuiltins.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/agile.py
/usr/lib/python2.4/site-packages/pygments/lexers/agile.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/agile.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/asm.py
/usr/lib/python2.4/site-packages/pygments/lexers/asm.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/asm.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/compiled.py
/usr/lib/python2.4/site-packages/pygments/lexers/compiled.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/compiled.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/dotnet.py
/usr/lib/python2.4/site-packages/pygments/lexers/dotnet.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/dotnet.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/functional.py
/usr/lib/python2.4/site-packages/pygments/lexers/functional.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/functional.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/math.py
/usr/lib/python2.4/site-packages/pygments/lexers/math.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/math.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/other.py
/usr/lib/python2.4/site-packages/pygments/lexers/other.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/other.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/special.py
/usr/lib/python2.4/site-packages/pygments/lexers/special.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/special.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/templates.py
/usr/lib/python2.4/site-packages/pygments/lexers/templates.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/templates.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/text.py
/usr/lib/python2.4/site-packages/pygments/lexers/text.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/text.pyo
/usr/lib/python2.4/site-packages/pygments/lexers/web.py
/usr/lib/python2.4/site-packages/pygments/lexers/web.pyc
/usr/lib/python2.4/site-packages/pygments/lexers/web.pyo
/usr/lib/python2.4/site-packages/pygments/styles/__init__.py
/usr/lib/python2.4/site-packages/pygments/styles/__init__.pyc
/usr/lib/python2.4/site-packages/pygments/styles/__init__.pyo
/usr/lib/python2.4/site-packages/pygments/styles/autumn.py
/usr/lib/python2.4/site-packages/pygments/styles/autumn.pyc
/usr/lib/python2.4/site-packages/pygments/styles/autumn.pyo
/usr/lib/python2.4/site-packages/pygments/styles/borland.py
/usr/lib/python2.4/site-packages/pygments/styles/borland.pyc
/usr/lib/python2.4/site-packages/pygments/styles/borland.pyo
/usr/lib/python2.4/site-packages/pygments/styles/colorful.py
/usr/lib/python2.4/site-packages/pygments/styles/colorful.pyc
/usr/lib/python2.4/site-packages/pygments/styles/colorful.pyo
/usr/lib/python2.4/site-packages/pygments/styles/default.py
/usr/lib/python2.4/site-packages/pygments/styles/default.pyc
/usr/lib/python2.4/site-packages/pygments/styles/default.pyo
/usr/lib/python2.4/site-packages/pygments/styles/emacs.py
/usr/lib/python2.4/site-packages/pygments/styles/emacs.pyc
/usr/lib/python2.4/site-packages/pygments/styles/emacs.pyo
/usr/lib/python2.4/site-packages/pygments/styles/friendly.py
/usr/lib/python2.4/site-packages/pygments/styles/friendly.pyc
/usr/lib/python2.4/site-packages/pygments/styles/friendly.pyo
/usr/lib/python2.4/site-packages/pygments/styles/fruity.py
/usr/lib/python2.4/site-packages/pygments/styles/fruity.pyc
/usr/lib/python2.4/site-packages/pygments/styles/fruity.pyo
/usr/lib/python2.4/site-packages/pygments/styles/manni.py
/usr/lib/python2.4/site-packages/pygments/styles/manni.pyc
/usr/lib/python2.4/site-packages/pygments/styles/manni.pyo
/usr/lib/python2.4/site-packages/pygments/styles/murphy.py
/usr/lib/python2.4/site-packages/pygments/styles/murphy.pyc
/usr/lib/python2.4/site-packages/pygments/styles/murphy.pyo
/usr/lib/python2.4/site-packages/pygments/styles/native.py
/usr/lib/python2.4/site-packages/pygments/styles/native.pyc
/usr/lib/python2.4/site-packages/pygments/styles/native.pyo
/usr/lib/python2.4/site-packages/pygments/styles/pastie.py
/usr/lib/python2.4/site-packages/pygments/styles/pastie.pyc
/usr/lib/python2.4/site-packages/pygments/styles/pastie.pyo
/usr/lib/python2.4/site-packages/pygments/styles/perldoc.py
/usr/lib/python2.4/site-packages/pygments/styles/perldoc.pyc
/usr/lib/python2.4/site-packages/pygments/styles/perldoc.pyo
/usr/lib/python2.4/site-packages/pygments/styles/trac.py
/usr/lib/python2.4/site-packages/pygments/styles/trac.pyc
/usr/lib/python2.4/site-packages/pygments/styles/trac.pyo
/usr/lib/python2.4/site-packages/pygments/styles/vim.py
/usr/lib/python2.4/site-packages/pygments/styles/vim.pyc
/usr/lib/python2.4/site-packages/pygments/styles/vim.pyo
/usr/share/doc/python-pygments-0.9/AUTHORS
/usr/share/doc/python-pygments-0.9/CHANGES
/usr/share/doc/python-pygments-0.9/LICENSE
/usr/share/doc/python-pygments-0.9/TODO
/usr/share/doc/python-pygments-0.9/docs/generate.py
/usr/share/doc/python-pygments-0.9/docs/build/api.html
/usr/share/doc/python-pygments-0.9/docs/build/authors.html
/usr/share/doc/python-pygments-0.9/docs/build/changelog.html
/usr/share/doc/python-pygments-0.9/docs/build/cmdline.html
/usr/share/doc/python-pygments-0.9/docs/build/filterdevelopment.html
/usr/share/doc/python-pygments-0.9/docs/build/filters.html
/usr/share/doc/python-pygments-0.9/docs/build/formatterdevelopment.html
/usr/share/doc/python-pygments-0.9/docs/build/formatters.html
/usr/share/doc/python-pygments-0.9/docs/build/index.html
/usr/share/doc/python-pygments-0.9/docs/build/installation.html
/usr/share/doc/python-pygments-0.9/docs/build/integrate.html
/usr/share/doc/python-pygments-0.9/docs/build/lexerdevelopment.html
/usr/share/doc/python-pygments-0.9/docs/build/lexers.html
/usr/share/doc/python-pygments-0.9/docs/build/moinmoin.html
/usr/share/doc/python-pygments-0.9/docs/build/plugins.html
/usr/share/doc/python-pygments-0.9/docs/build/quickstart.html
/usr/share/doc/python-pygments-0.9/docs/build/rstdirective.html
/usr/share/doc/python-pygments-0.9/docs/build/styles.html
/usr/share/doc/python-pygments-0.9/docs/build/tokens.html
/usr/share/doc/python-pygments-0.9/docs/build/unicode.html
/usr/share/doc/python-pygments-0.9/docs/src/api.txt
/usr/share/doc/python-pygments-0.9/docs/src/authors.txt
/usr/share/doc/python-pygments-0.9/docs/src/changelog.txt
/usr/share/doc/python-pygments-0.9/docs/src/cmdline.txt
/usr/share/doc/python-pygments-0.9/docs/src/filterdevelopment.txt
/usr/share/doc/python-pygments-0.9/docs/src/filters.txt
/usr/share/doc/python-pygments-0.9/docs/src/formatterdevelopment.txt
/usr/share/doc/python-pygments-0.9/docs/src/formatters.txt
/usr/share/doc/python-pygments-0.9/docs/src/index.txt
/usr/share/doc/python-pygments-0.9/docs/src/installation.txt
/usr/share/doc/python-pygments-0.9/docs/src/integrate.txt
/usr/share/doc/python-pygments-0.9/docs/src/lexerdevelopment.txt
/usr/share/doc/python-pygments-0.9/docs/src/lexers.txt
/usr/share/doc/python-pygments-0.9/docs/src/moinmoin.txt
/usr/share/doc/python-pygments-0.9/docs/src/plugins.txt
/usr/share/doc/python-pygments-0.9/docs/src/quickstart.txt
/usr/share/doc/python-pygments-0.9/docs/src/rstdirective.txt
/usr/share/doc/python-pygments-0.9/docs/src/styles.txt
/usr/share/doc/python-pygments-0.9/docs/src/tokens.txt
/usr/share/doc/python-pygments-0.9/docs/src/unicode.txt
/usr/share/man/man1/pygmentize.1.gz

Changelog

2007-11-29 - Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.9-2
- Added python-setuptools as a Requires per bz#403601.
2007-11-12 - Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.9-1
- Updated for upstream 0.9.
2007-08-17 - Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.8.1-2
- Removed the dos2unix build dependency.
2007-06-28 - Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.8.1-1
- Initial packaging for Fedora.

See Also

Package Description
python-reportlab-2.1-4.PU_IAS.5.noarch.rpm Python PDF generation library
python-reportlab-docs-2.1-4.PU_IAS.5.noarch.rpm Documentation files for python-reportlab
python-setuptools-0.6c7-1.PU_IAS.5.noarch.rpm Download, build, install, upgrade, and uninstall Python packages
python-simplejson-2.0.3-2.PU_IAS.5.i386.rpm Simple, fast, extensible JSON encoder/decoder for Python
python-sphinx-0.6.1-2.PU_IAS.5.noarch.rpm Python documentation generator
python-sphinx-doc-0.6.1-2.PU_IAS.5.noarch.rpm Documentation for python-sphinx
python-sphinx10-1.0.4-3.sdl5.noarch.rpm Python documentation generator
python-sphinx10-doc-1.0.4-3.sdl5.noarch.rpm Documentation for python-sphinx10
python-sqlite2-2.3.3-1.el5ipa.i386.rpm DB-API 2.0 interface for SQLite 3.x
python-vlc-0.8.6f-4.PU_IAS.5.i386.rpm VLC Media Player binding for Python
pyzor-0.5.0-11.PU_IAS.5.noarch.rpm Pyzor collaborative spam filtering system
qstat-2.11-5.PU_IAS.5.i386.rpm Real-time Game Server Status for FPS game servers
qt4-vlc-4.5.2-1.i386.rpm The shared library for the Qt GUI toolkit
qt4-vlc-devel-4.5.2-1.i386.rpm Development files for the Qt GUI toolkit
qt4-vlc-doc-4.5.2-1.i386.rpm API documentation, demos and example programs for qt4-vlc
Advertisement
Advertisement